IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_202_KADIN_IZLEM_15_49_YAS_KAYIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_202_KADIN_IZLEM_15_49_YAS_KAYIT
GO

CREATE PROCEDURE dbo.SPUSS_202_KADIN_IZLEM_15_49_YAS_KAYIT 
	@HDOSYAID INT=0,
	@HMUAYENEID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_202_KADIN_IZLEM_15_49_YAS_KAYIT 165788,115370,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER


	SELECT USS202.ID USS202_ID
      ,USS202.HDOSYAID
      ,USS202.HMUAYENEID
      ,USS202.HKIMLIKID
      ,HYATISID
      ,KONJENITAL_ANOMALI_VARLIGI KONJENITAL_ANOMALI_VARLIGI_ID
	  ,TKONJENITAL_ANOMALI_VARLIGI.AD KONJENITAL_ANOMALI_VARLIGI_ADI
      ,CANLI_DOGAN_BEBEK_SAYISI
      ,HEMOGLOBIN
      ,OLU_DOGAN_BEBEK_SAYISI
      ,BIR_ONCEKI_DOGUM_DURUMU BIR_ONCEKI_DOGUM_DURUMU_ID
	  ,TBIR_ONCEKI_DOGUM_DURUMU.ad BIR_ONCEKI_DOGUM_DURUMU_ADI
      ,IZLEMIN_YAPILDIGI_YER /*KURUM KODU YAZILACAK*/
      ,KULLANILAN_AILE_PLANLAMASI_YONTEMI KULLANILAN_AILE_PLANLAMASI_YONTEMI_ID
	  ,TKULLANILAN_AILE_PLANLAMASI_YONTEMI.AD KULLANILAN_AILE_PLANLAMASI_YONTEMI_ADI
      ,AILE_PLANLAMASI_YONTEMI_LOJISTIGI AILE_PLANLAMASI_YONTEMI_LOJISTIGI_ID
	  ,TAILE_PLANLAMASI_YONTEMI_LOJISTIGI.AD AILE_PLANLAMASI_YONTEMI_LOJISTIGI_ADI
      ,PAKETE_AIT_ISLEM_ZAMANI
      ,NULL ISLEM_YAPAN
      , ISNULL(BILGI_ALINAN_KISI_ADI_SOYADI,HKIMLIK.HADI+' '+HKIMLIK.HSOYADI) BILGI_ALINAN_KISI_ADI_SOYADI
      , ISNULL(BILGI_ALINAN_KISI_TEL,HKIMLIK.HCEP) BILGI_ALINAN_KISI_TEL
      ,KADIN_SAGLIGI_ISLEMLERI KADIN_SAGLIGI_ISLEMLERI_ID
	  ,TKADIN_SAGLIGI_ISLEMLERI.AD KADIN_SAGLIGI_ISLEMLERI_ADI
      ,AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI_ID
	  ,TAILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI.AD AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI_ADI
      ,BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI_ID
	  ,TBIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI.AD BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI_ADI
	  ,HDOSYA.SUBEID HDOSYA_SUBEID
	  ,SUBELER.SUBEADI SUBELER_SUBEADI
	  ,HDOSYA.SNOTAKIPNO HDOSYA_SNOTAKIPNO
	  ,		 ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

		CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'10000038' 
		ELSE
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

			CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
			'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK


	    INTO #TMPUSSDIGER 


  FROM USS202_KADIN_IZLEM_15_49_YAS USS202
  INNER JOIN HDOSYA ON HDOSYA.HDOSYAID=USS202.HDOSYAID
  LEFT JOIN HKIMLIK ON HKIMLIK.HKIMLIKID=HDOSYA.HKIMLIKID
  LEFT JOIN	SUBELER ON SUBELER.SUBEID=HDOSYA.SUBEID
  LEFT JOIN (
			  SELECT 'BEKÂR' AD,	'1' ID
			UNION ALL
			SELECT 'YÖNTEM KULLANMAK İSTEMİYOR' AD,	'2' ID
			UNION ALL
			SELECT 'GEBE KALMAK İSTİYOR' AD,	'3' ID
			UNION ALL
			SELECT 'EMZİRİYOR' AD,	'4' ID
			UNION ALL
			SELECT 'GEBELİĞİ DEVAM EDİYOR' AD,	'5' ID
			UNION ALL
			SELECT 'MENOPOZ DÖNEMİNDE' AD,	'6' ID
			UNION ALL
			SELECT 'İNFERTİLİTE' AD,	'7' ID
             
			 ) TAILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI ON TAILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI.ID=USS202.AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI

  LEFT JOIN (
  
			SELECT 'ÜREME SAĞLIĞI DANIŞMANLIĞI' AD,	'1' ID
			UNION ALL
			SELECT 'BESLENME DANIŞMANLIĞI' AD,	'2' ID
			UNION ALL
			SELECT 'EMZİRME DANIŞMANLIĞI' AD,	'3' ID
			UNION ALL
			SELECT 'DİŞ SAĞLIĞI DANIŞMANLIĞI' AD,	'5' ID
			UNION ALL
			SELECT 'KENDİ KENDİNE MEME MUAYENESİ EĞİTİMİ' AD,	'6' ID
			UNION ALL
			SELECT 'KLİNİK MEME MUAYENESİ' AD,	'7' ID
			UNION ALL
			SELECT 'MENOPOZ DANIŞMANLIĞI' AD,	'8' ID
			UNION ALL
			SELECT 'SERVİKAL SMEAR (PAP SMEAR)' AD,	'9' ID
  
			  ) TKADIN_SAGLIGI_ISLEMLERI ON TKADIN_SAGLIGI_ISLEMLERI.ID=USS202.KADIN_SAGLIGI_ISLEMLERI
   LEFT JOIN (  
				SELECT 'GERİ ÇEKME' AD,	'10' ID
				UNION ALL
				SELECT 'TAKVİM YÖNTEMİ' ad,	'11'
				UNION ALL
				SELECT 'DİĞER GELENEKSEL YÖNTEM' ad,	'12'
				UNION ALL
				SELECT '1 AYLIK ENJEKSIYON' ad,	'13'
				UNION ALL
				SELECT '3 AYLIK ENJEKSIYON' ad,	'14'
				UNION ALL
				SELECT 'HAP' ad,	'2'
				UNION ALL
				SELECT 'KONDOM' ad,	'3'
				UNION ALL
				SELECT 'DERİ ALTI İMPLANT' ad,	'5'
				UNION ALL
				SELECT 'RIA' ad,	'6'
				UNION ALL
				SELECT 'TÜP LİGASYONU' ad,	'7'
				UNION ALL
				SELECT 'VAZEKTOMİ' ad,	'8'
				UNION ALL
				SELECT 'DİĞER MODERN YÖNTEM' ad,	'9'
				UNION ALL
				SELECT 'YOK' ad,	'97'
  ) TBIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI ON TBIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI.ID=USS202.BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI

  LEFT JOIN (
			SELECT 'REÇETE İLE VERİLEN' AD,	'1' ID
			UNION ALL
			SELECT 'ÜCRETSİZ VERİLEN' AD,	'2' ID
			UNION ALL
			SELECT 'KIŞI TARAFINDAN TEMIN EDILEN' AD,	'3' ID
			UNION ALL
			SELECT 'UZUN ETKILI AP YÖNTEMI KIŞIDE MEVCUT' AD,	'4' ID
  
  ) TAILE_PLANLAMASI_YONTEMI_LOJISTIGI ON TAILE_PLANLAMASI_YONTEMI_LOJISTIGI.ID=USS202.AILE_PLANLAMASI_YONTEMI_LOJISTIGI
  LEFT JOIN (  
				SELECT 'GERİ ÇEKME' AD,	'10' ID
				UNION ALL
				SELECT 'TAKVİM YÖNTEMİ' ad,	'11'
				UNION ALL
				SELECT 'DİĞER GELENEKSEL YÖNTEM' ad,	'12'
				UNION ALL
				SELECT '1 AYLIK ENJEKSIYON' ad,	'13'
				UNION ALL
				SELECT '3 AYLIK ENJEKSIYON' ad,	'14'
				UNION ALL
				SELECT 'HAP' ad,	'2'
				UNION ALL
				SELECT 'KONDOM' ad,	'3'
				UNION ALL
				SELECT 'DERİ ALTI İMPLANT' ad,	'5'
				UNION ALL
				SELECT 'RIA' ad,	'6'
				UNION ALL
				SELECT 'TÜP LİGASYONU' ad,	'7'
				UNION ALL
				SELECT 'VAZEKTOMİ' ad,	'8'
				UNION ALL
				SELECT 'DİĞER MODERN YÖNTEM' ad,	'9'
				UNION ALL
				SELECT 'YOK' ad,	'97'
  ) TKULLANILAN_AILE_PLANLAMASI_YONTEMI ON TKULLANILAN_AILE_PLANLAMASI_YONTEMI.ID=USS202.KULLANILAN_AILE_PLANLAMASI_YONTEMI

  LEFT JOIN (
              SELECT 'DAHA ÖNCE DOGUM YAPMİS' ad,	'1'	ID
				UNION ALL
				SELECT 'DAHA ÖNCE DOGUM YAPMAMİS',	'2'
  
             ) TBIR_ONCEKI_DOGUM_DURUMU ON TBIR_ONCEKI_DOGUM_DURUMU.ID=USS202.BIR_ONCEKI_DOGUM_DURUMU
  LEFT JOIN (  
			SELECT 'ÖNCEKİ GEBELİKLERDEN HERHANGİ BİRİNDE YOK, MEVCUT GEBELİKTE VAR' AD 	,'2' ID
			UNION ALL
			SELECT 'ÖNCEKİ GEBELİKLERDEN HERHANGİ BİRİNDE VAR, MEVCUT GEBELİKTE YOK' AD 	,'3'
			UNION ALL
			SELECT 'ÖNCEKİ GEBELİKLERDEN HERHANGİ BİRİNDE VEYA BİRKAÇINDA VAR, MEVCUT GEBELİKTE VAR' AD 	,'4'
			UNION ALL
			SELECT 'ÖNCEKİ GEBELİKLERDE VE MEVCUT GEBELİKTE VAR' AD 	,'5'
			UNION ALL
			SELECT 'HİÇBİR GEBELİĞİNDE YOK' AD 	,'6'
			  ) TKONJENITAL_ANOMALI_VARLIGI ON TKONJENITAL_ANOMALI_VARLIGI.ID=USS202.KONJENITAL_ANOMALI_VARLIGI

			  	WHERE USS202.HMUAYENEID= @HMUAYENEID AND USS202.HDOSYAID = @HDOSYAID 


	IF (SELECT COUNT(*) FROM #TMPUSSDIGER) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Gönderilecek aşı kaydı bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'Aşı dosyasının şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine AŞI kaydı yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPUSSDIGER
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURUSSDIGERID INT
		DECLARE CURUSSDIGER CURSOR FOR SELECT USS202_ID FROM #TMPUSSDIGER
		OPEN CURUSSDIGER
		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

		
					 
					IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(USS202_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Kayıt seçilmemiş. '

                   /* IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(uss202 ASININ_DOZU_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Aşının dozu seçilmemiş. '

                    IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ASI_ERTELEME_SURESI,'')='')
						SET @HATA = @HATA + ' ' + 'Aşının ertleme süresi girilmemiş. '

                   
				   IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ACIK_ADRES,'')='')
						SET @HATA = @HATA + ' ' + 'Hasta Kimlik Kartında Ev Adresi Girilmemiş. '

                    IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ASI_YAPILMAMA_NEDENI_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Aşının yapılmama nedeni seçilmemiş. '

                     IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ASI_YAPILMA_ZAMANI,0)=0)
						SET @HATA = @HATA + ' ' + 'Aşının yapılma zamanı girilmemiş. '
							
					 IF EXISTS(SELECT USS202_ID FROM #TMPUSSDIGER WHERE  ISNULL(ALTTA_YATAN_HASTALIK_KODU,'')='')
						SET @HATA = @HATA + ' ' + 'Muayenede Icd Kod girilmemiş. '
						*/--kontroller eklenecek

					IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE USS202_ID=@CURUSSDIGERID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(

										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '202' AS 'messageType/@code',
										   '15 - 49 Yas Kadin Izlem Veri Seti' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 --'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 SNOKTSFIRMAKODU as 'firmaKodu/@value' ,
												 (
													SELECT 
														(
														   SELECT 
															  (
																 SELECT 

																		'1' AS 'KONJENITAL_ANOMALI_VARLIGI/@version',
																		'484b2fc2-d1a2-4675-872e-c2c56e72d921' AS 'KONJENITAL_ANOMALI_VARLIGI/@codeSystemGuid',
																		ISNULL(KONJENITAL_ANOMALI_VARLIGI_ID,'')AS 'KONJENITAL_ANOMALI_VARLIGI/@code',
																		ISNULL(KONJENITAL_ANOMALI_VARLIGI_ADI,'') AS 'KONJENITAL_ANOMALI_VARLIGI/@value',

																		ISNULL(CANLI_DOGAN_BEBEK_SAYISI,'') AS 'CANLI_DOGAN_BEBEK_SAYISI/@value',
																		CASE 
																			WHEN HEMOGLOBIN IS NULL THEN NULL
																			ELSE REPLACE(STR(HEMOGLOBIN, 6, 2), ' ', '')
																		END AS 'HEMOGLOBIN/@value',

																		ISNULL(OLU_DOGAN_BEBEK_SAYISI,'') AS 'OLU_DOGAN_BEBEK_SAYISI/@value',
                                                                        
																		'1' AS 'BIR_ONCEKI_DOGUM_DURUMU/@version',
																		'd7e6d65a-b82a-6717-e040-7c0a021654a2' AS 'BIR_ONCEKI_DOGUM_DURUMU/@codeSystemGuid',
																		ISNULL(BIR_ONCEKI_DOGUM_DURUMU_ID,'')AS 'BIR_ONCEKI_DOGUM_DURUMU/@code',
																		ISNULL(BIR_ONCEKI_DOGUM_DURUMU_ADI,'') AS 'BIR_ONCEKI_DOGUM_DURUMU/@value',
																		-- SAGLIKNETKURUMKODU
												                        -- SUBELER_SUBEADI 
																		----<IZLEMIN_YAPILDIGI_YER version="1" codeSystemGuid="c3eade04-4f91-5dab-e043-14031b0ac9f9" code="Code" value="IZLEMIN_YAPILDIGI_YER" />
																		'1' AS 'IZLEMIN_YAPILDIGI_YER/@version',
																		'c3eade04-4f91-5dab-e043-14031b0ac9f9' AS 'IZLEMIN_YAPILDIGI_YER/@codeSystemGuid',
																		ISNULL(SAGLIKNETKURUMKODU,'')AS 'IZLEMIN_YAPILDIGI_YER/@code',
																		ISNULL(SUBELER_SUBEADI,'') AS 'IZLEMIN_YAPILDIGI_YER/@value',

													                   --<KULLANILAN_AILE_PLANLAMASI_YONTEMI version="1" codeSystemGuid="24d08065-6a3f-4ee3-b07b-1fe5d83241c1" code="Code" value="KULLANILAN_AILE_PLANLAMASI_YONTEMI" />
																		'1' AS 'KULLANILAN_AILE_PLANLAMASI_YONTEMI/@version',
																		'24d08065-6a3f-4ee3-b07b-1fe5d83241c1' AS 'KULLANILAN_AILE_PLANLAMASI_YONTEMI/@codeSystemGuid',
																		ISNULL(KULLANILAN_AILE_PLANLAMASI_YONTEMI_ID,'')AS 'KULLANILAN_AILE_PLANLAMASI_YONTEMI/@code',
																		ISNULL(KULLANILAN_AILE_PLANLAMASI_YONTEMI_ADI,'') AS 'KULLANILAN_AILE_PLANLAMASI_YONTEMI/@value',


																		--<AILE_PLANLAMASI_YONTEMI_LOJISTIGI version="1" codeSystemGuid="8335af99-322d-4aa5-bdaa-f888b351a30a" code="Code" value="AILE_PLANLAMASI_YONTEMI_LOJISTIGI" />
																		'1' AS 'AILE_PLANLAMASI_YONTEMI_LOJISTIGI/@version',
																		'8335af99-322d-4aa5-bdaa-f888b351a30a' AS 'AILE_PLANLAMASI_YONTEMI_LOJISTIGI/@codeSystemGuid',
																		ISNULL(AILE_PLANLAMASI_YONTEMI_LOJISTIGI_ID,'')AS 'AILE_PLANLAMASI_YONTEMI_LOJISTIGI/@code',
																		ISNULL(AILE_PLANLAMASI_YONTEMI_LOJISTIGI_ADI,'') AS 'AILE_PLANLAMASI_YONTEMI_LOJISTIGI/@value',

																		-- <PAKETE_AIT_ISLEM_ZAMANI value="PAKETE_AIT_ISLEM_ZAMANI" />
																		LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),PAKETE_AIT_ISLEM_ZAMANI,120),' ',''),'-',''),':',''),12)	 AS 'PAKETE_AIT_ISLEM_ZAMANI/@value',

																		NULL AS 'ISLEM_YAPAN/@value',
																		ISNULL(BILGI_ALINAN_KISI_ADI_SOYADI,'') AS 'BILGI_ALINAN_KISI_ADI_SOYADI/@value',
																		ISNULL(BILGI_ALINAN_KISI_TEL,'') AS 'BILGI_ALINAN_KISI_TEL/@value'
																	
																		
																FROM #TMPUSSDIGER
																
																FOR XML PATH(''),TYPE
															),
															 (
																 SELECT 	
																		'1' AS 'KADIN_SAGLIGI_ISLEMLERI/@version',
																		'9f10cc39-f47a-4611-b328-78e044a8a2bc' AS 'KADIN_SAGLIGI_ISLEMLERI/@codeSystemGuid',
																		ISNULL(KADIN_SAGLIGI_ISLEMLERI_ID,'')AS 'KADIN_SAGLIGI_ISLEMLERI/@code',
																		ISNULL(KADIN_SAGLIGI_ISLEMLERI_ADI,'') AS 'KADIN_SAGLIGI_ISLEMLERI/@value'
																FROM #TMPUSSDIGER
																
																FOR XML PATH('KADIN_SAGLIGI_ISLEMLERI_BILGISI'),TYPE
															),
															 (
																 SELECT 	
																		'1' AS 'AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI/@version',
																		'084620ca-5f25-469b-af47-158f760f16b5' AS 'AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI/@codeSystemGuid',
																		ISNULL(AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI_ID,'')AS 'AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI/@code',
																		ISNULL(AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI_ADI,'') AS 'AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI/@value'
																FROM #TMPUSSDIGER
																
																FOR XML PATH('AILE_PLANLAMASI_YONTEMI_KULLANMAMA_NEDENI_BILGISI'),TYPE
															),
															 (
																 SELECT 	
																		'1' AS 'BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI/@version',
																		'636bdc8a-eea8-41cf-bcb8-b244cfa8e250' AS 'BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI/@codeSystemGuid',
																		ISNULL(BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI_ID,'')AS 'BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI/@code',
																		ISNULL(BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI_ADI,'') AS 'BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI/@value'
																FROM #TMPUSSDIGER
																
																FOR XML PATH('BIR_ONCEKI_KULLANILAN_AILE_PLANLAMASI_YONTEMI_BILGISI'),TYPE
															)

														FOR XML PATH('KADIN_IZLEM_15_49_YAS'),TYPE
													),					
													   (
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPUSSDIGER WITH(NOLOCK)
										   WHERE USS202_ID = @CURUSSDIGERID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURUSSDIGERID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURUSSDIGER
		DEALLOCATE CURUSSDIGER

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm KAYITLAR zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURUSSDIGERID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER

	

	SELECT * FROM @goNDERIMTABLOSU


END
GO


